* {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
}

html,
body,
.wrapper {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    height: 100vh;
    margin: 0;
}

.navbar {
    background: transparent;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(0,0,0,.2);
    color: #fff;
    gap: 20px;
    height: 60px;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    list-style: none;
    align-items: center;
}

nav img {
    width: 30px;
    height: 30px;
}

.burger {
    display: none;
    cursor: pointer;
}

.menu-items, .menu {
    display: flex;
    gap: 16px;
}

.menu-right {
    position: relative;
    margin-left: auto;
    gap: 6px;
}

.menu-right img {
    width: 30px;
    height: 30px;
    padding: 5px;
}

.menu-right .badge {
    position: absolute;
    top: 0;
    left: 14px;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    border: 2px solid #161b22;
    background: linear-gradient(#54a3ff, #006eed);
}

a,
a:is(:visited, :active) {
    color: #ffffff;
    text-decoration: none;
    line-height: 24px;
}

.search {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #0d1117;
    border: 1px solid #30363d;
    border-radius: 6px;
    padding-right: 4px;
}

.search input {
    padding: 4px 10px;
    color: #c9d1d9;
    font-size: 13px;
    font-family: inherit;
    border: 0;
    background: transparent;
}

.search button {
    border: inherit;
    border-radius: inherit;
    background: transparent;
    color: #8b949e;
}

@media (width <= 580px) {
    .menu-right img:nth-child(n + 3) {
        display: none;
    }

    .menu-items {
        display: none;
        width: 100%;
        flex-direction: column;
        gap: 16px;
        position: absolute;
        top: 40px;
        left: 0;
        padding: 0 20px 20px;
        background: #161b22;
    }

    .menu-left {
        flex-direction: column;
        gap: 12px;
    }

    .menu-left a {
        border-bottom: 1px solid #30363d;
        margin-top: 20px;
    }

    .menu-right {
        margin-left: 0;
    }

    .burger {
        display: block;
    }
}

body.open .menu-items {
    display: flex;
}

.container {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}

.card {
    width: 400px;
    height: 600px;
    margin: 15px;
    border-radius: 15px;
    background: transparent;
    border: 2px solid rgba(255,255,255,.2);
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(0,0,0,.2);
    color: #fff;
}

.avatar {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}


.profile-pics {
    height: 120px;
}

.profile-header {
    margin-top: 10px;
    display: flex;
    justify-content: center;
}

.info-button {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    text-align: center;
    bottom: 0;
}

.profile-header-text {
    font-size: 30;
}

.lessons {
    height: 75%;
}

.lessons-header {
    margin-top: 10px;
    display: flex;
    justify-content: center;
}

.lessons-button {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    text-align: center;
    bottom: 0;
}

.user-info {
    margin-top: 30px;
    text-align: center;
}

.user-pass {
    margin-top: 25px;
    text-align: center;
}

.user-info p2 {
    font-size: large;
    margin-bottom: 50px;
}

.user-info p {
    margin: 10px 0;
}

.user-pass p {
    margin: 10px 0;
}

table {
    border-collapse: collapse;
    background-color: transparent;
    text-align: left;
    overflow: hidden;
    margin-top: 15px;
}

thead {
    box-shadow: 0 5px 10px gray;
}

th {
    padding: 1rem ;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    font-size: 0.7rem;
    font-weight: 900;
    color: white;
}

td {
    padding: 10px 25px;
    color: white;
    font-size: 13px;
}

tr:nth-child(even) {
    background-color: grey;
}

.payments {
    height: 75%;
}

.payments-header {
    margin-top: 10px;
    display: flex;
    justify-content: center;
}

.payments-header-text {
    font-size: 30;
}

.payments-button {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    text-align: center;
    bottom: 0;
}

.button {
    font-family: "Roboto", sans-serif;
    font-size: 18px;
    font-weight: bold;
    background: black;
    width: 140px;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 0 10px black;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: box-shadow, transfor;
    transition-property: box-shadow, transform;
}

.button:hover, .button:focus, button:active {
    box-shadow:  0 0 20px white;
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}


